export declare type TValidatorF = (_?: string) => boolean;
export declare type TMessage = ((_?: string | number) => void) | string;
export declare type Rules<F> = {
    [x in keyof F]?: TValidator[];
};
export interface Fields {
    [key: string]: {};
}
export interface TValidator {
    name?: string;
    validator: (_?: any) => (TValidatorF | boolean) | string;
    params?: Array<string | number>;
    message?: TMessage;
}
